from nmigen.cli import rtlil
from ieee754.part.test.test_partsig import TestAddMod2
import subprocess
import os
from nmigen import Signal

def test():
    width = 16
    pmask = Signal(3)  # divide into 4-bits
    module = TestAddMod2(width, pmask)
    sim = create_ilang(module,
                               [pmask,
                                module.a.sig,
                                module.b.sig,
                                module.add_output,
                                module.ls_output,
                                module.sub_output,
                                module.eq_output,
                                module.gt_output,
                                module.ge_output,
                                module.ne_output,
                                module.lt_output,
                                module.le_output,
                                module.mux_sel,
                                module.mux_out,
                                module.carry_in,
                                module.add_carry_out,
                                module.sub_carry_out,
                                module.neg_output,
                               ],
                               "part_sig_add")
                            
def run_yosys(test_name):
    liberty_file = os.getenv("HOME")+"/coriolis-2.x/src/alliance-check-toolkit/cells/nsxlib/nsxlib.lib"
    print("test_name:",test_name)
    cmd = [
        "read_ilang part_sig_add.il",
        "hierarchy -check -top part_sig_add",
        "synth -top part_sig_add",
        "dfflibmap -liberty "+liberty_file,
        "abc -liberty "+liberty_file,
        "clean",
        "write_blif test.blif"
    ]
    cmd = "; ".join(cmd)
    subprocess.call(["yosys","-p",cmd])

def create_ilang(dut, ports, test_name):
    vl = rtlil.convert(dut, name=test_name, ports=ports)
    with open("%s.il" % test_name, "w") as f:
        f.write(vl)
    #run_yosys(test_name)


if __name__ == "__main__":
    test()
